PlayerCc::RangerProxy Class Reference
Proxies

The `RangerProxy` class is used to control a ranger device. More...

`#include <playerc++.h>`

Inheritance diagram for PlayerCc::RangerProxy:

## Public Member Functions

| RangerProxy (PlayerClient *aPc, uint32_t aIndex=0)
| constructor
| ~RangerProxy ()
| destructor
uint32_t | GetElementCount () const
| Return the individual range sensor count.
player_pose3d_t | GetDevicePose () const
| Return the device pose.
player_bbox3d_t | GetDeviceSize () const
| Return the device size.
player_pose3d_t | GetElementPose (uint32_t aIndex) const
| Return the pose of an individual sensor.
player_bbox3d_t | GetElementSize (uint32_t aIndex) const
| Return the size of an individual sensor.
uint32_t | GetRangeCount () const
| Return the number of range readings.
double | GetRange (uint32_t aIndex) const
| Get a range reading.
double | operator[] (uint32_t aIndex) const
| Operator to get a range reading.
uint32_t | GetIntensityCount () const
| Return the number of intensity readings.
double | GetIntensity (uint32_t aIndex) const
| Get an intensity reading.
void | SetPower (bool aEnable)
| Turn the device power on or off. More...
void | SetIntensityData (bool aEnable)
| Turn intensity data on or off. More...
void | RequestGeom ()
| Request the ranger geometry.
void | Configure (double aMinAngle, double aMaxAngle, double aAngularRes, double aMinRange, double aMaxRange, double aRangeRes, double aFrequency)
| Configure the ranger scan pattern. More...
void | RequestConfigure ()
| Get the current ranger configuration; it is read into the relevant class attributes. More...
double | GetMinAngle () const
| Start angle of a scan (configured value)
double | GetMaxAngle () const
| Stop angle of a scan (configured value)
double | GetAngularRes () const
| Angular resolution of a scan (configured value)
double | GetMinRange () const
| Minimum detectable range of a scan (configured value)
double | GetMaxRange () const
| Maximum detectable range of a scan (configured value)
double | GetRangeRes () const
| Linear resolution (configured value)
double | GetFrequency () const
| Scanning frequency (configured value)
Public Member Functions inherited from PlayerCc::ClientProxy
bool | IsValid () const
| Returns true if we have received any data from the device.
bool | IsFresh () const
| Fresh is set to true on each new read. More...
void | NotFresh ()
| This states that the data in a client is currently not Fresh.
std::string | GetDriverName () const
| Returns the driver name. More...
double | GetDataTime () const
| Returns the received timestamp [s].
double | GetElapsedTime () const
| Returns the received timestamp [s].
PlayerClient * | GetPlayerClient () const
| Returns a pointer to the Player Client.
uint32_t | GetIndex () const
| Returns device index.
uint32_t | GetInterface () const
| Returns device interface.
std::string | GetInterfaceStr () const
| Returns device interface.
void | SetReplaceRule (bool aReplace, int aType=-1, int aSubtype=-1)
| Set a replace rule for this proxy on the server. More...
int | HasCapability (uint32_t aType, uint32_t aSubtype)
| Request capabilities of device. More...
int | GetBoolProp (char *aProperty, bool *aValue)
| Request a boolean property.
int | SetBoolProp (char *aProperty, bool aValue)
| Set a boolean property.
int | GetIntProp (char *aProperty, int32_t *aValue)
| Request an integer property.
int | SetIntProp (char *aProperty, int32_t aValue)
| Set an integer property.
int | GetDblProp (char *aProperty, double *aValue)
| Request a double property.
int | SetDblProp (char *aProperty, double aValue)
| Set a double property.
int | GetStrProp (char *aProperty, char **aValue)
| Request a string property.
int | SetStrProp (char *aProperty, char *aValue)
| Set a string property.
template<typename T >
connection_t | ConnectReadSignal (T aSubscriber)
| Connect a signal to this proxy For more information check out Signals & multithreading.
void | DisconnectReadSignal (connection_t aSubscriber)
| Disconnect a signal to this proxy.

## Private Member Functions

void | Subscribe (uint32_t aIndex)
void | Unsubscribe ()

## Private Attributes

playerc_ranger_t * | mDevice

## Additional Inherited Members

Public Types inherited from PlayerCc::ClientProxy
typedef int | connection_t
typedef boost::mutex::scoped_lock | scoped_lock_t
typedef int | read_signal_t
Protected Member Functions inherited from PlayerCc::ClientProxy
| ClientProxy (PlayerClient *aPc, uint32_t aIndex)
template<typename T >
T | GetVar (const T &aV) const
template<typename T >
void | GetVarByRef (const T aBegin, const T aEnd, T aDest) const
Protected Attributes inherited from PlayerCc::ClientProxy
PlayerClient * | mPc
playerc_client_t * | mClient
playerc_device_t * | mInfo
bool | mFresh

## Detailed Description

The `RangerProxy` class is used to control a ranger device.

## Member Function Documentation

void PlayerCc::RangerProxy::Configure | ( | double | aMinAngle,
|  | double | aMaxAngle,
|  | double | aAngularRes,
|  | double | aMinRange,
|  | double | aMaxRange,
|  | double | aRangeRes,
|  | double | aFrequency
| ) |  |

Configure the ranger scan pattern.

Angles `aMinAngle` and `aMaxAngle` are measured in radians. `aResolution` is measured in radians. `aMinRange`, `aMaxRange` and `aRangeRes` is measured in metres. `aFrequency` is measured in Hz.

void PlayerCc::RangerProxy::RequestConfigure | ( |  | ) |

Get the current ranger configuration; it is read into the relevant class attributes.

void PlayerCc::RangerProxy::SetIntensityData | ( | bool | aEnable | ) |

Turn intensity data on or off.

Set `state` to true to enable, false to disable.

void PlayerCc::RangerProxy::SetPower | ( | bool | aEnable | ) |

Turn the device power on or off.

Set `state` to true to enable, false to disable.

The documentation for this class was generated from the following file:

- playerc++.h

Last updated 12 September 2005 21:38:45